/*
 * MademandedachatsApplicationBehavior.java
 * Copyright (c) 2012, W4.
 * All rights reserved.
 */

package myOrder.behavior;

import eu.w4.leon.appmodel.appdefault.behavior.*;
import leon.app.*;
import leon.app.behavior.*;
import leon.app.behaviorinterface.*;
import leon.info.LyClassInfo;
import leon.view.web.struts.*;

/**
 * Default implementation of the LyApplicationBehavior.
 *
 * @see  LyApplicationBehaviorInterface
 * @see  LyApplication
 */
public class MademandedachatsApplicationBehavior extends W4ApplicationBehavior
{
	/**
	 * Constructor.
	 * @see eu.w4.leon.appmodel.appdefault.behavior.W4ApplicationBehavior#W4ApplicationBehavior
	 */
	public MademandedachatsApplicationBehavior()
	{
		super();
	}

	/**
	 * Always returns null, because languages are handled by the w4 actor and not the application...
	 * @see eu.w4.leon.appmodel.appdefault.behavior.W4ApplicationBehavior#getSupportedLanguages
	 */
    public String[][] getSupportedLanguages(LyApplication application)
	{
		return super.getSupportedLanguages(application);
	}

    /**
     * Indicate if the given language is supported by the application.
     * A language is supported by the application if the LY_LANGUAGES environment variable
     * refers it.
     * @param application the currrent application
     * @param language the language code (i.e: fr, en...)
     * @return true if the language is supported.
	 * @see eu.w4.leon.appmodel.appdefault.behavior.W4ApplicationBehavior#isLanguageSupported
     */
    public boolean isLanguageSupported(LyApplication application, String language)
	{
		return super.isLanguageSupported(application, language);
	}
}
